List issue occurrences
curl --request GET \
--url https://api.uselemma.ai/issues/{issue_id}/occurrences \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uselemma.ai/issues/{issue_id}/occurrences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uselemma.ai/issues/{issue_id}/occurrences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uselemma.ai/issues/{issue_id}/occurrences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.uselemma.ai/issues/{issue_id}/occurrences"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.uselemma.ai/issues/{issue_id}/occurrences")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uselemma.ai/issues/{issue_id}/occurrences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"occurrences": [
{
"id": "<string>",
"trace_id": "<string>",
"title": "<string>",
"rationale": "<string>",
"source_span_ids": [
"<string>"
],
"evidence_span_ids": [
"<string>"
],
"spans": [
{
"id": "<string>",
"otel_span_id": "<string>",
"parent_otel_span_id": "<string>",
"name": "<string>",
"kind": "<string>",
"start_time_ns": "<string>",
"end_time_ns": "<string>",
"duration_ms": 123,
"status_code": "<string>",
"status_description": "<string>",
"input_tokens": 123,
"output_tokens": 123,
"model_name": "<string>",
"tps": 123,
"attributes": {},
"events": "<unknown>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"display_title": "<string>",
"abstract": {
"steps": [
"<string>"
],
"failure_step": 1
},
"session_id": "<string>",
"citations": "<unknown>",
"release": "<string>"
}
],
"next_request": {
"operation": "<string>",
"arguments": {
"issue_id": "<string>",
"project_id": "<string>",
"limit": 100,
"cursor": "<string>",
"release": "<string>",
"start_inclusive": "2023-11-07T05:31:56Z",
"end_exclusive": "2023-11-07T05:31:56Z"
}
}
}{
"detail": "<string>",
"code": "<string>",
"retryable": true,
"retry_after_seconds": 1
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>",
"retryable": true,
"retry_after_seconds": 1
}{
"detail": "<string>",
"code": "<string>",
"retryable": true,
"retry_after_seconds": 1
}Issues / Occurrences
List issue occurrences
List one issue’s occurrences, newest first.
GET
/
issues
/
{issue_id}
/
occurrences
List issue occurrences
curl --request GET \
--url https://api.uselemma.ai/issues/{issue_id}/occurrences \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uselemma.ai/issues/{issue_id}/occurrences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uselemma.ai/issues/{issue_id}/occurrences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uselemma.ai/issues/{issue_id}/occurrences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.uselemma.ai/issues/{issue_id}/occurrences"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.uselemma.ai/issues/{issue_id}/occurrences")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uselemma.ai/issues/{issue_id}/occurrences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"occurrences": [
{
"id": "<string>",
"trace_id": "<string>",
"title": "<string>",
"rationale": "<string>",
"source_span_ids": [
"<string>"
],
"evidence_span_ids": [
"<string>"
],
"spans": [
{
"id": "<string>",
"otel_span_id": "<string>",
"parent_otel_span_id": "<string>",
"name": "<string>",
"kind": "<string>",
"start_time_ns": "<string>",
"end_time_ns": "<string>",
"duration_ms": 123,
"status_code": "<string>",
"status_description": "<string>",
"input_tokens": 123,
"output_tokens": 123,
"model_name": "<string>",
"tps": 123,
"attributes": {},
"events": "<unknown>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"display_title": "<string>",
"abstract": {
"steps": [
"<string>"
],
"failure_step": 1
},
"session_id": "<string>",
"citations": "<unknown>",
"release": "<string>"
}
],
"next_request": {
"operation": "<string>",
"arguments": {
"issue_id": "<string>",
"project_id": "<string>",
"limit": 100,
"cursor": "<string>",
"release": "<string>",
"start_inclusive": "2023-11-07T05:31:56Z",
"end_exclusive": "2023-11-07T05:31:56Z"
}
}
}{
"detail": "<string>",
"code": "<string>",
"retryable": true,
"retry_after_seconds": 1
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>",
"retryable": true,
"retry_after_seconds": 1
}{
"detail": "<string>",
"code": "<string>",
"retryable": true,
"retry_after_seconds": 1
}